
//**********************************************************************
//
//  MPLTASKRXFILTERINTERNAL.H
//
//  Copyright (c) 2004 National Semiconductor Corporation.
//  All Rights Reserved
//
//  This is the internal file with definitions meant for Rx Filter Task
//
//**********************************************************************

#ifndef _MPL_RX_INTERNAL_INTERNAL_H
#define _MPL_RX_INTERNAL_INTERNAL_H

typedef struct _MPL_LISTEN_LIST{
   NS_UINT16   refCnt; // Reference count
   // FM: Head pointer for perfect match
} MPL_LISTEN_LIST;

typedef struct MPL_TASK_FILTER {
   
   NS_BOOLEAN enable; // Feature enable tracker

   // Multicast Listen Table
   MPL_LISTEN_LIST mcTable[MAX_FILTER_ROWS][MAX_FILTER_COLS];
   // Unicast Listen Table
   MPL_LISTEN_LIST ucTable[MAX_FILTER_ROWS][MAX_FILTER_COLS];

} MPL_TASK_FILTER;

#endif //_MPL_RX_INTERNAL_INTERNAL_H
